SDL_GetGamepadInstanceMapping(3)

NAME
SDL_GetGamepadInstanceMapping - Get the mapping of a gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

char* SDL_GetGamepadInstanceMapping(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any gamepads are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID

RETURN VALUE
Returns the mapping string. Must be freed with SDL_free (). Returns NULL if no mapping is available.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetGamepads(3), SDL_GetGamepadMapping(3)